Subject: Re: [PATCH 2/5] make credential helpers builtins

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Aug 2020 10:55:30 -0700

Jeff King <[email-masked]> writes:

> On Thu, Aug 13, 2020 at 11:08:39AM -0400, Taylor Blau wrote:
>
>> On Thu, Aug 13, 2020 at 10:58:55AM -0400, Jeff King wrote:
>> > There's no real reason for credential helpers to be separate binaries. I
>> > did them this way originally under the notion that helper don't _need_
>> > to be part of Git, and so can be built totally separately (and indeed,
>> > the ones in contrib/credential are). But the ones in our main Makefile
>> > build on libgit.a, and the resulting binaries are reasonably large.
>> 
>> Could you clarify which helpers you mean here? Git's own
>> credential-cache and store make sense to convert, but the helpers in
>> contrib definitely don't.
>> 
>> For what it's worth, I'm almost positive that you mean the in-tree
>> helpers (where in-tree means "in git.git but not in contrib"), in which
>> case I'm in favor of this direcftion.
>
> Yes, I mean the helpers in the Makefile that we build and install by
> default with a regular "make".

Makes sense, especially because none of the in-tree ones need to
link with any extra dependency at runtime, we do not even have to
debate if dynamic linkage overhead still matters ;-)